### Method

# Gtk LevelBar add_offset_value

#### Declaration [src]

    void
    gtk_level_bar_add_offset_value (
      GtkLevelBar* self,
      const char* name,
      double value
    )

#### Description [src]

Adds a new offset marker on `self` at the position specified by `value`.

When the bar value is in the interval topped by `value` (or between `value` and `GtkLevelBar:max-value` in case the offset is the last one on the bar) a style class named `level-``name` will be applied when rendering the level bar fill.

If another offset marker named `name` exists, its value will be replaced by `value`.

#### Parameters

`name`

  Type: `const char*`

  The name of the new offset.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `double`

  The value for the new offset.